Skip to main content
A newer version of this page is available. .
All docs
V20.2

Modify Extensions

  • 2 minutes to read

You can access extensions to customize the Web Dashboard control. The extension is an independent JavaScript module/class that adds specific functionality to the control. For example, the DashboardExportExtension enables users to export the dashboard’s data, the DashboardParameterDialogExtension adds dashboard parameters, and the ToolboxExtension allows you to customize the Toolbox.

Specify Extension Options

You can use the extensions property to access registered extension settings. Import the Extensions module and the module that corresponds to the extension you want to configure. The code changes the DataInspectorExtension options to enable the Data Inspector:

import DashboardControl, { Extensions, DataInspector } from 'devexpress-dashboard-react';

function App() {
    return (
        <div style={{ position : 'absolute', top : '0px', left: '0px', right : '0px', bottom: '0px' }}>
            <DashboardControl style={{ height: '90%' }} 
                endpoint="http://localhost:5000/api/dashboard">
                <Extensions>
                    <DataInspector 
                    allowInspectAggregatedData="true"
                    allowInspectRawData="true"/>
                </Extensions>
            </DashboardControl>
        </div>
    );
};

Remove an Extension

To remove the registered extension, call the DashboardControl.unregisterExtension method and pass the extension’s unique name as a parameter. The following code unregisters the CreateDashboardExtension and removes the ‘New…’ item from the dashboard menu:

function onBeforeRender(e){
  var dashboardControl = e.component;
  dashboardControl.unregisterExtension('createDashboard');
}

Register a New Extension

Import the extension module. Register an extension in the beforeRender event. Use the e.component property to get the dashboard control instance. Pass the extension instance as the control’s registerExtension method parameter.

The code below registers the imported DashboardPanelExtension:

import DashboardControl from 'devexpress-dashboard-react';
import {DashboardPanelExtension} from 'devexpress-dashboard/common';

function onBeforeRender(e) { 
    var dashboardControl = e.component;
    dashboardControl.registerExtension(new DashboardPanelExtension(dashboardControl)); 
}

function App() {
    return (
        <div style={{ position : 'absolute', top : '0px', left: '0px', right : '0px', bottom: '0px' }}>
            <DashboardControl style={{ height: '90%' }} 
                endpoint="https://demos.devexpress.com/services/dashboard/api"
                workingMode="Designer"
                onBeforeRender = { onBeforeRender }
            ></DashboardControl>
        </div>
    );
};

export default App;

More Examples

The following topic describes how to register the TextBoxItemEditorExtension: Enable Text Editor Functionality.

View the DevExpress.Dashboard.Designer module to find extensions used in the Web Dashboard when it operates as a designer. The DevExpress.Dashboard contains extensions used both in Designer and Viewer modes.

Skip to main content
A newer version of this page is available. .
All docs
V20.2

Modify Extensions

  • 2 minutes to read

You can access extensions to customize the Web Dashboard control. The extension is an independent JavaScript module/class that adds specific functionality to the control. For example, the DashboardExportExtension enables users to export the dashboard’s data, the DashboardParameterDialogExtension adds dashboard parameters, and the ToolboxExtension allows you to customize the Toolbox.

Specify Extension Options

You can use the extensions property to access registered extension settings. Import the Extensions module and the module that corresponds to the extension you want to configure. The following code changes the DataInspectorExtension options to enable the Data Inspector:

<template>
    <div>
        <DxDashboardControl 
            style="height:900px; display: 'block'; width: '100%';"
            endpoint="http://localhost:5000/api/dashboard">
              <DxExtensions>
                <DxDataInspector 
                    :allowInspectAggregatedData="true"
                    :allowInspectRawData="true">
                </DxDataInspector>
            </DxExtensions>
        </DxDashboardControl>
    </div>  
</template>

<script>
import { DxDashboardControl, DxExtensions, DxDataInspector } from 'devexpress-dashboard-vue/dashboard-control';

export default {
    components: {
        DxDashboardControl,
        DxExtensions, 
        DxDataInspector
    }
}
</script>

Remove an Extension

To remove the registered extension, call the DashboardControl.unregisterExtension method and pass the extension unique name as a parameter. The following code unregisters the CreateDashboardExtension and removes the ‘New…’ item from the dashboard menu:

onBeforeRender(e) {
    var dashboardControl = e.component;
    dashboardControl.unregisterExtension('createDashboard');
}

Register a New Extension

Import the extension module. Register an extension in the beforeRender event. Use the e.component property to get the dashboard control instance. Pass the extension instance as the control’s registerExtension method parameter.

The code below registers the imported DashboardPanelExtension:

<template>
    <div>
        <DxDashboardControl 
        style="height:900px; display: 'block'; width: '100%';"
        endpoint="https://demos.devexpress.com/services/dashboard/api"
        @beforeRender="onBeforeRender" />
    </div>  
</template>

<script>
import { DxDashboardControl } from 'devexpress-dashboard-vue';
import {DashboardPanelExtension} from 'devexpress-dashboard/common';

export default {
    components: {
        DxDashboardControl
    },
    methods: {
        onBeforeRender(e) {
            var dashboardControl = e.component;
            dashboardControl.registerExtension(new DashboardPanelExtension(dashboardControl)); 
        }
    }        
}
</script>

More Examples

The following topic describes how to register the TextBoxItemEditorExtension: Enable Text Editor Functionality.

View the DevExpress.Dashboard.Designer module to find extensions used in the Web Dashboard when it operates as a designer. The DevExpress.Dashboard contains extensions used both in Designer and Viewer modes.